Update Provider Gateway
Updates a specific Centralized Connection.
Updates a specific Centralized Connection.
Request
URI
PUT
https://{api_host}/cloudapi/v1/providerGateways/{gatewayId}
COPY
Path Parameters
string
gatewayId
Required
gatewayId
Request Body
ProviderGateway
of type(s)
application/json
Optional
{
"status": "string",
"id": "string",
"name": "string",
"description": "string",
"orgRef": {
"name": "string",
"id": "string"
},
"regionRef": {
"name": "string",
"id": "string"
},
"backingType": "string",
"backingRef": {
"id": "string",
"name": "string"
},
"ipSpaceRefs": [
{
"name": "string",
"id": "string"
}
],
"gatewayConnectionBackingId": "string",
"inboundRemoteNetworks": [
"string"
],
"allowAdvertisingPrivateIpBlocks": false,
"natConfig": {
"enableSnat": false,
"ipSpaceRef": {
"name": "string",
"id": "string"
},
"logging": false
}
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"backingRef":"object","name":"string"}' https://{api_host}/cloudapi/v1/providerGateways/{gatewayId}
Availability
Added in 9.0.0
On This Page
Provider Gateways Operations
GET
Get Provider Gateways
POST
Create Provider Gateway
GET
Get Provider Gateway
PUT
Update Provider Gateway
DELETE
Delete Provider Gateway